org.apache.ivy.osgi.filter

## Class UniOperatorFilter

- java.lang.Object
- - org.apache.ivy.osgi.filter.OSGiFilter
  - - org.apache.ivy.osgi.filter.UniOperatorFilter

Direct Known Subclasses:
  NotFilter

    public abstract class UniOperatorFilter
    extends OSGiFilter

### Constructor Summary

Constructors
Constructor and Description
`UniOperatorFilter(OSGiFilter subFilter)`

### Method Summary

Methods
`void` `append(java.lang.StringBuffer builder)`
`boolean` `equals(java.lang.Object obj)`
`OSGiFilter` `getSubFilter()`
`int` `hashCode()`
`protected abstract char` `operator()`

### Methods inherited from class org.apache.ivy.osgi.filter.OSGiFilter

`eval, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UniOperatorFilter

    public UniOperatorFilter(OSGiFilter subFilter)

### Method Detail

#### operator

    protected abstract char operator()

#### append

    public void append(java.lang.StringBuffer builder)

Specified by:
  `append` in class `OSGiFilter`

#### getSubFilter

    public OSGiFilter getSubFilter()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`